Cyberduck Mountain Duck CLI

#11375 closed enhancement (fixed)

Add support for path-prefixed Sharepoint sites

Reported by: jmalek Owned by: jmalek
Priority: normal Milestone: 7.8.0
Component: onedrive Version: 7.7.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Create a profile for accessing a specific site (Sharepoint Site Protocol) by URL, instead of relying on automatic site discovery (Sharepoint Protocol).

This requires a new profile with added configuration for Hostname (*.sharepoint.com) as well as the URL path-prefix to the site (/teams/Team Name). This way there is no way of configuring a path inside the target site (like /Drives/Shared Documents).

Eventually replace path with splitted (by splitting at ":") path: "/path/prefix/site:/Path/In/Cyberduck"

Change History (4)

comment:1 Changed on Dec 10, 2020 at 7:12:52 PM by dkocher

  • Milestone set to 8.0
  • Version set to 7.7.2

comment:2 Changed on Dec 11, 2020 at 12:05:27 PM by dkocher

  • Summary changed from Add support for Path-prefixed sites to Add support for path-prefixed Sharepoint sites

comment:3 Changed on Dec 11, 2020 at 12:06:17 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r50266.

comment:4 Changed on Dec 21, 2020 at 12:25:59 PM by dkocher

  • Milestone changed from 8.0 to 7.8.0
Note: See TracTickets for help on using tickets.